
Redmine - Patch #12738

Patch for negative start_date (#12736)

2013-01-04 15:52 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Description

Patch for #12736.

Some remarks:

There is a conversion to int. This means, every date which is bevor 1970 is invalid, but this should be ok in my opinion.

Best regards,

Daniel

History

#1 - 2013-01-05 17:11 - Jean-Philippe Lang

- Status changed from New to Closed

There was already another approach for validating Version#effective_date. I've added a date validator in r11124 that implements the validation for all

dates.

#2 - 2013-01-06 14:17 - Toshi MARUYAMA

- Target version deleted (2.2.1)

Files

no_negative_startdate.diff 539 Bytes 2013-01-04 Daniel Felix
